## org.eclipse.datatools.sqltools.routineeditor.parameter
Class LaunchConfigurationParamsHistoryListener

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.parameter.LaunchConfigurationParamsHistoryListener

All Implemented Interfaces:
  org.eclipse.debug.core.ILaunchConfigurationListener

    public class LaunchConfigurationParamsHistoryListener

extends java.lang.Object
implements org.eclipse.debug.core.ILaunchConfigurationListener

This listener tries to rename all the parameters configuration file when launch configuration's name is changed by the user. When the configuration is deleted, we can not read the configuration anymore(the file is already deleted), so we just leave all the files there, this will not cause problem, but will produce some garbage files. When the ILaunchManager provides more friendly interface, we also need to update this. So CR383033-2 is fired to track this issue.

Author:
  Dafan Yang

Method Summary
`static LaunchConfigurationParamsHistoryListener` `getInstance()`
`void` `launchConfigurationAdded(org.eclipse.debug.core.ILaunchConfiguration configuration)` In fact, when the name of a launch configuration is changed, this event also will be fired.
`void` `launchConfigurationChanged(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`void` `launchConfigurationRemoved(org.eclipse.debug.core.ILaunchConfiguration configuration)` RENAME or DELETE event

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static LaunchConfigurationParamsHistoryListener getInstance()

### launchConfigurationAdded

    public void launchConfigurationAdded(org.eclipse.debug.core.ILaunchConfiguration configuration)

  In fact, when the name of a launch configuration is changed, this event also will be fired.

  Specified by:
    `launchConfigurationAdded` in interface `org.eclipse.debug.core.ILaunchConfigurationListener`

### launchConfigurationChanged

    public void launchConfigurationChanged(org.eclipse.debug.core.ILaunchConfiguration configuration)

  Specified by:
    `launchConfigurationChanged` in interface `org.eclipse.debug.core.ILaunchConfigurationListener`

### launchConfigurationRemoved

    public void launchConfigurationRemoved(org.eclipse.debug.core.ILaunchConfiguration configuration)

  RENAME or DELETE event

  Specified by:
    `launchConfigurationRemoved` in interface `org.eclipse.debug.core.ILaunchConfigurationListener`